{% if hasPermission('feature_procedure_single_document_upload_zip') %}
    <dp-upload-files
        id="r_document"
        allowed-file-types="pdf-zip-video"
        :get-file-by-hash="(hash) => {
           return Routing.generate('core_file', { hash: hash })
        }"
        :label="{
          hint: Translator.trans('file.upload.pdf.zip.mp4'),
          text: Translator.trans('file')
        }"
        :max-file-size="2 * 1024 * 1024 * 1024/* 2 GiB */"
        :max-number-of-files="1"
        name="r_document"
        needs-hidden-input
        :required="{{ required ? 'true' : 'false' }}"
        :translations="{ dropHereOr: Translator.trans('form.button.upload.file', { browse: '{browse}', maxUploadSize: '2GB' }) }">
    </dp-upload-files>
{% else %}
    <dp-upload-files
        id="r_document"
        allowed-file-types="pdf-video"
        :get-file-by-hash="(hash) => {
           return Routing.generate('core_file', { hash: hash })
        }"
        :label="{
          hint: Translator.trans('file.upload.pdf.mp4'),
          text: Translator.trans('file')
        }"
        :max-file-size="2 * 1024 * 1024 * 1024/* 2 GiB */"
        :max-number-of-files="1"
        name="r_document"
        needs-hidden-input
        :required="{{ required ? 'true' : 'false' }}"
        :translations="{ dropHereOr: Translator.trans('form.button.upload.file', { browse: '{browse}', maxUploadSize: '2GB' }) }">
    </dp-upload-files>
{% endif %}
